<div class="wrapper">
  <app-preloader *ngIf="preloader"></app-preloader>
  <app-header></app-header>
  <app-sidebar [modulo]="modulo"></app-sidebar>

  <div class="content-wrapper">
    <app-content-header [headers]="headers"></app-content-header>

    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <div class="text-left">
                  <h3 class="card-title">Detalle de Heroe</h3>
                </div>
              </div>
              <div class="card-body">
                <div class="container-fluid">
                  <div *ngIf="!heroe">
                    <h3 class="text-center">Sin contenido para mostrar</h3>
                  </div>
                  <div *ngIf="heroe">
                    <div class="row d-flex justify-content-center">
                      <table>
                        <tr>
                          <th>Nombre:</th>
                          <td>{{heroe.nombre}}</td>
                        </tr>
                        <tr>
                          <th>Alias:</th>
                          <td>{{heroe.alias}}</td>
                        </tr>
                        <tr>
                          <th>Genero:</th>
                          <td>{{heroe.genero}}</td>
                        </tr>
                        <tr>
                          <th>Ocupación:</th>
                          <td>{{heroe.ocupacion}}</td>
                        </tr>
                        <tr>
                          <th>Especialidad:</th>
                          <td>{{heroe.especialidad}}</td>
                        </tr>
                        <tr class="text-muted">
                          <th>Fecha Creado:</th>
                          <td>{{heroe.fecha_creado}}</td>
                        </tr>
                        <tr class="text-muted">
                          <th>Usuario Creado:</th>
                          <td>{{heroe.user_creado}}</td>
                        </tr>
                        <tr *ngIf="heroe.fecha_modificado" class="text-muted">
                          <th>Fecha Modificado</th>
                          <td>{{heroe.fecha_modificado}}</td>
                        </tr>
                        <tr *ngIf="heroe.usuario_modifica" class="text-muted">
                          <th>Usuario Modificado</th>
                          <td>{{heroe.usuario_modifica}}</td>
                        </tr>
                      </table>
                    </div>
                    <div class="row mt-3 d-flex justify-content-center">
                        <a [routerLink]="['/heroes', heroe.codigo, 'edit']" class="btn text-secondary text-decoration-none"><i class="fas fa-edit"></i> Editar</a>
                        <swal #deleteSwal title="Deseas eliminar a {{ heroe.nombre }}?" text="Esto no se podra revertir" icon="question"
                          [showCancelButton]="true" [focusCancel]="true" (confirm)="eliminarHeroe(heroe.codigo)">
                        </swal>
                        <button [swal]="deleteSwal" type="button" class="btn text-danger"><i class="fas fa-trash-alt"></i> Eliminar</button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>

  <app-footer></app-footer>
</div>
